/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: ApplicationImpl.java,v 1.2 2001/10/11 22:31:11 max Exp $
 *
 */

package org.leanedit.applet;

import java.util.StringTokenizer;
import make.util.Debug;
import make.module.ModuleRepository;
import make.module.ResourceLoader;
import org.leanedit.AbstractEditorApplication;

public class ApplicationImpl extends AbstractEditorApplication {
    public void loadModules(ModuleRepository repository, String moduleNames) {
	StringTokenizer st = new StringTokenizer(moduleNames);
	while (st.hasMoreTokens()) {
	    String moduleName = st.nextToken();
	    ResourceLoader resourceLoader = repository.getModule(moduleName);
	    if (resourceLoader==null) {
		System.err.println("WARNING: could not load module "+moduleName);
		continue;
	    }
	    try {
		installModule(resourceLoader);
	    } catch (Exception e) {
		Debug.report(e, "while loading module "+moduleName);
	    }
	}
    }
}
