/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: LeanEditApplet.java,v 1.7 2001/10/18 14:00:31 max Exp $
 *
 */

package org.leanedit.applet;

import java.net.URL;
import javax.swing.JApplet;
import make.util.Debug;
import make.datamodel.embedded.EmbeddedManager;
import make.datamodel.embedded.URLEmbeddedManager;
import make.swing.panel.InterfacePanel;
import make.swing.panel.AppletInterfacePanel;
import make.module.ModuleRepository;
import make.module.NetJarModuleRepository;
import org.leanedit.EditorFrame;
import org.leanedit.TopEditorFrame;

public class LeanEditApplet extends JApplet {
    /*properties***********************/
    protected final ApplicationImpl application = new ApplicationImpl();
    protected final SessionImpl session = new SessionImpl(application);
    /*JApplet************************/
    public void init() {
	super.init();
	String moduleNames = getParameter("module_names");
	if (moduleNames!=null) {
	    ModuleRepository repository = new NetJarModuleRepository(getCodeBase());
	    application.loadModules(repository, moduleNames);
	}
	InterfacePanel interfacePanel = new AppletInterfacePanel(this);
	EditorFrame frame = session.createNewFrame(interfacePanel);
	String documentURL = getParameter("document_url");
	if (documentURL!=null) {
	    try {
		EmbeddedManager em = new URLEmbeddedManager
		    (new URL(documentURL),
		     application.getSchemaManager());
		((TopEditorFrame)frame).readFrom(em);
	    } catch (Exception e) {
		Debug.report(e);
	    }
	}
    }
    public void destroy() {
	super.destroy();
    }
}
