/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: ModuleTab.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.control;

import java.util.Vector;
import java.util.Enumeration;
import java.text.ParseException;
import java.awt.Component;
import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JList;
import javax.swing.JScrollPane;
import org.leanedit.module.ModuleManager;

public class ModuleTab implements ControlTab {
    /*properties**************************/
    protected JPanel panel = new JPanel(new BorderLayout(), false);
    protected ModuleManager manager;
    protected JList list;
    /*Constructor***********************/
    public ModuleTab(ModuleManager _manager) {
	manager = _manager;
	Vector vc = new Vector();
	for (Enumeration enum=manager.getModuleNames(); enum.hasMoreElements();) {
	    vc.addElement(enum.nextElement());
	}
	list = new JList(vc);
	panel.add("Center", new JScrollPane(list));
    }
    /*Widget******************************/
    public void setEnabled(boolean _e) {
    }
    public boolean getEnabled() {
	return true;
    }
    public Component getComponent() {
	return panel;
    }
    public void dispose() {
    }
    /*ControlTab*************************/
    public String getDisplayName() {
	return "Modules";
    }
    public void apply() throws ParseException {
    }
}
