/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: ExtensionFilenameFilter.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.field;

import java.io.FilenameFilter;
import java.io.File;

public class ExtensionFilenameFilter implements FilenameFilter {
    /***properties***************************/
    protected String[] extensions;
    /***Constructor***************************/
    public ExtensionFilenameFilter(String[] es) {
	extensions = es;
    }
    /***FilenameFilter***********************/
    public boolean accept(File dir, String name) {
	if (extensions==null)
	    return true;
	for (int z=0; z<extensions.length; z++)
	    if (name.endsWith('.'+extensions[z]))
		return true;
	return false;
    }
}
