/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: BaseEditorModule.java,v 1.3 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.module;

import java.io.IOException;
import java.io.InputStream;
import org.xml.sax.SAXException;
import make.xml.ConfigPath;
import make.module.ResourceLoader;
import org.leanedit.EditorApplication;

public class BaseEditorModule extends DefaultEditorModule {
    /*Constructor*********************/
    public BaseEditorModule(EditorApplication app)
	throws IOException, SAXException {
	super(app, null);
    }
    /*DefaultEditorModule***************************/
    protected InputStream openConfig(EditorApplication app, 
				     ResourceLoader rl) {
	return EditorApplication.class.getResourceAsStream("leanedit.xml");
    }
    protected ConfigPath openSchema(EditorApplication app, 
				    ResourceLoader rl, String url) {
	return null;
    }
    protected ClassLoader openClasses(EditorApplication app, 
				      ResourceLoader rl) {
	return EditorApplication.class.getClassLoader();
    }
}
