/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: AbstractEditorCursor.java,v 1.3 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins;

import java.util.Vector;
import java.util.Enumeration;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import org.leanedit.EditorDocument;

public abstract class AbstractEditorCursor implements EditorCursor {
    /***properties***********************/
    protected Vector listeners = new Vector();
    protected EditorDocument[] selection = emptySelection;
    /***Constructor************************/
    /***Methods******************************/
    protected void fireStateChanged() {
	ChangeEvent evt = new ChangeEvent(this);
	for (Enumeration enum=listeners.elements(); enum.hasMoreElements();)
	    ((ChangeListener)enum.nextElement()).stateChanged(evt);
    }
    public void adjustSelection(EditorDocument[] sel) {
	selection = sel;
	fireStateChanged();
    }
    /***EditorCursor***************************/
    public EditorDocument[] getSelection() {
	return selection;
    }
    public abstract void setSelection(EditorDocument[] sel);
    public void addChangeListener(ChangeListener l) {
	listeners.addElement(l);
    }
    public void removeChangeListener(ChangeListener l) {
	listeners.removeElement(l);
    }
}
