/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: ComponentEvent.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins;

import java.util.EventObject;
import org.w3c.dom.Node;
import org.leanedit.EditorDocument;

public class ComponentEvent extends EventObject {
    /***properties**************************/
    protected EditorDocument document;
    protected Node node;
    /***Constructor**************************/
    public ComponentEvent(EditorComponent s) {
	super(s);
    }
    public ComponentEvent(EditorComponent s, EditorDocument _d, Node _n) {
	this(s);
	document = _d; node = _n;
    }
    public ComponentEvent(EditorComponent s, EditorDocument _d) {
	this(s, _d, null);
    }
    /***ComponentEvent**********************/
    public EditorComponent getComponent() { return (EditorComponent)getSource(); }
    public EditorDocument getDocument() { return document; }
    public Node getNode() { return node; }
}
