/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: ComponentListener.java,v 1.4 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins;

import java.util.EventListener;

/**
 * A ComponentListener is an object that is interested in some
 * events from an EditorComponent.
 */
public interface ComponentListener extends EventListener {
    /**
     * This event is called when the target object gets 
     * the keyboard focus
     */
    void focusGained(ComponentEvent evt);
    /**
     * The event is called when the document is changed by the target.
     * That does not automatically mean that the DOM tree is updated.
     */
    void documentChanged(ComponentEvent evt);
}
