/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: EditorCursor.java,v 1.5 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins;

import javax.swing.event.ChangeListener;
import org.leanedit.EditorDocument;

/**
 * An EditorCursor is an object which can select one or more documents.
 * e.g. a list has got a cursor which is used to highlight items.
 */
public interface EditorCursor {
    EditorDocument[] emptySelection
	= new EditorDocument[0];
    /**
     * @return the current selection. This value must not be null.
     *         If there is no selected item, it has to return an empty array.
     */
    EditorDocument[] getSelection();
    /**
     * Selects a specific set of documents. 
     * All existing selections are reset.
     */
    void setSelection(EditorDocument[] sel);
    void addChangeListener(ChangeListener l);
    void removeChangeListener(ChangeListener l);
}
