/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: ContainerListModel.java,v 1.4 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.list;

import javax.swing.ListModel;
import javax.swing.event.ListDataListener;
import org.w3c.dom.Node;
import org.w3c.dom.Element;
import javax.xml.transform.TransformerException;
import org.apache.xpath.XPath;
import make.xml.DOMUtil;
import make.xml.XPathUtil;
import org.leanedit.EditorDocument;
import org.leanedit.plugins.EditorComponent;
import org.leanedit.plugins.container.ContainerModel;
import org.leanedit.plugins.container.DefaultContainerModel;

public class ContainerListModel extends DefaultContainerModel 
    implements ListModel {
    /***properties***************************/
    protected XPath itemPath;
    /***Constructor*****************************/
    public ContainerListModel(EditorComponent _ec) {
	super(_ec);
    }
    public void setDocument(EditorDocument _d, Element vd)
	throws TransformerException {
	try {
	    itemPath = vd==null
		?null
		:XPathUtil.parse(DOMUtil.getDeepString(vd, "item/@caption"));
	} finally {
	    reload();
	}
	super.setDocument(_d, vd);
    }
    /***ListModel************************************/
    public int getSize() { 
	return getItemCount();
    }
    public Object getElementAt(int index) {
	Node n = getItem(index).getNode();
	try {
	    return XPathUtil.execute(itemPath, n);
	} catch (TransformerException e) {
	    e.printStackTrace();
	    return n;
	}
    }
    public void addListDataListener(ListDataListener l) {
	super.addListDataListener(l);
    }
    public void removeListDataListener(ListDataListener l) {
	super.removeListDataListener(l);
    }
}
