/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: PanelComponent.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.panel;

import java.awt.Component;
import org.w3c.dom.Element;
import org.leanedit.EditorFrame;
import org.leanedit.EditorDocument;
import org.leanedit.plugins.ContainerComponent;

class PanelComponent extends ContainerComponent {
    /***properties*********************************/
    protected Component component;
    /***Constructor*******************************/
    public PanelComponent(EditorFrame _ef) {
	super(_ef);
    }
    /***EditorComponent****************************/
    public void setDocument(EditorDocument doc) {
	super.setDocument(doc);
	removeAllChildren();
	Component oldValue = component;
	component = createComponent(null, (Element)getViewDescription("panel"));
	firePropertyChange(COMPONENT, oldValue, component);
    }
    public Component getComponent() { return component; }
}
