/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: SplitPaneComponent.java,v 1.3 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.splitpane;

import java.awt.Component;
import java.awt.Frame;
import javax.swing.JSplitPane;
import org.w3c.dom.Element;
import org.w3c.dom.Document;
import org.leanedit.EditorFrame;
import org.leanedit.plugins.EditorComponent;
import org.leanedit.plugins.ContainerComponent;
import org.leanedit.EditorDocument;
import make.xml.DOMUtil;

class SplitPaneComponent extends ContainerComponent {
    /***properties*********************************/
    protected JSplitPane splitPane;
    /***Constructor*******************************/
    public SplitPaneComponent(EditorFrame _ef) {
	super(_ef);
    }
    /***EditorComponent****************************/
    public void setDocument(EditorDocument _doc) {
	super.setDocument(_doc);
	// read view
	Element vd = (Element)getViewDescription("splitpane");
	Element cps = DOMUtil.getUniqueTag(vd, "components");
	Element[] el = DOMUtil.getChildElements(cps);
	if (el.length!=2)
	    throw new Error("component count = "+el.length+", should be 2");
	Component e1 = createComponent(null, el[0]);
	Component e2 = createComponent(null, el[1]);
	splitPane = new JSplitPane(JSplitPane.VERTICAL_SPLIT, true, e1, e2);
    }
    public Component getComponent() { return splitPane; }
}
