/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: NullColumn.java,v 1.5 2001/12/22 12:14:59 max Exp $
 *
 */

package org.leanedit.plugins.table;

import java.util.Locale;
import org.w3c.dom.Node;
import org.w3c.dom.Element;
import make.xml.DOMUtil;
import make.swing.field.Field;
import make.swing.cell.CellRenderer;

public class NullColumn implements Column {
    /*properties*********************/
    protected String caption;
    /*Constructor*************************/
    public NullColumn(Element c, Locale locale) {
        caption = DOMUtil.getLocalizedElementString(c, "caption", locale, false);
    }
    /*Column*****************************/
    public String getCaption() { return caption; }
    public boolean isEditable(Node row) { return false; }
    public Object getValue(Node row) { return null; }
    public void setValue(Node row, Object value) {
        throw new InternalError();
    }
    public Field getField(Node row) { return null; }
    public CellRenderer getCellRenderer(Node row) {
        return null;
    }
}
