/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: BreakElement.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.tree;

import make.swing.text.Element;
import make.swing.text.DocumentEvent;
import make.swing.text.SplitNotSupportedException;

public class BreakElement extends ElementSwingElement {
    /***Constructor*****************************/
    public BreakElement(org.w3c.dom.Element _el, SwingDocument _doc) {
	super(_el, _doc, 1, true);
	setStyle(_doc.getStyle(_el.getTagName()));
    }
    /***SwingElement****************************************/
    public void getText(StringBuffer sb, int offset, int length) 
	throws javax.swing.text.BadLocationException {
	if (offset<getStartOffset()) 
	    throw new javax.swing.text.BadLocationException("offset<start", offset);
	if ((offset+length)>getEndOffset()) 
	    throw new javax.swing.text.BadLocationException("offset+length>end", offset);
	if (length>0)
	    sb.append(' ');
    }
    protected Element createEmptyInstance(org.w3c.dom.Element el) {
	return new BreakElement(el, (SwingDocument)getDocument());
    }
    public Element split(int offset, DocumentEvent evt) 
	throws SplitNotSupportedException {
	throw new SplitNotSupportedException(this, offset);
    }
}
