/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: FixedText.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.tree;

import javax.swing.text.BadLocationException;
import make.swing.text.DocumentEvent;
import make.swing.text.ContainerChange;
import make.swing.text.Element;
import make.swing.text.SplitNotSupportedException;

public class FixedText extends Element {
    /***properties*****************************/
    protected String text;
    /***Constructor****************************/
    public FixedText(SwingDocument _doc, String _t) {
	super(_doc, _t.length(), true);
	text = _t;
    }
    public String getText() { return text; }
    /***Element******************************/
    protected int insertSpaceChild(int index, DocumentEvent evt,
				   ContainerChange chg) {
	throw new InternalError();
    }
    public Element split(int offset, DocumentEvent evt) 
	throws SplitNotSupportedException {
	throw new SplitNotSupportedException(this, offset);
    }
    public void getText(StringBuffer sb, int offset, int length) 
	throws BadLocationException {
	offset -= getStartOffset();
	sb.append(text.substring(offset, length));
    }
    protected Element createEmptyInstance() {
	throw new InternalError();
    }
}
