/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: LinkElement.java,v 1.3 2001/10/30 20:55:26 max Exp $
 *
 */

package org.leanedit.plugins.text.tree;

import java.text.MessageFormat;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import javax.swing.text.Position;
import javax.swing.text.BadLocationException;
import make.swing.text.Element;
import make.swing.text.Document;
import make.swing.text.DocumentEvent;
import make.swing.text.TextComponent;

public class LinkElement extends ElementSwingElement {
    /*Constructor********************************/
    public LinkElement(org.w3c.dom.Element _el, SwingDocument _doc) {
	super(_el, _doc, 0);
    }
    /*Format****************************************/
    protected Element createEmptyInstance(org.w3c.dom.Element el) {
	return new LinkElement(el, (SwingDocument)getDocument());
    }
    /*Menu*******************************************/
    public void fillMenu(TextComponent editor, int context, 
			 int pos, Position.Bias bias, JPopupMenu menu) 
	throws BadLocationException {
	// remove style
	String title = (String)getAttribute((Object)"title");
	if (title==null)
            title = TextComponent.resources.getString("link.word");
	JMenuItem mi;
        String label = MessageFormat.format
            (TextComponent.resources.getString("remove.text"),
             new Object[]{ title });
	mi = new JMenuItem(label);
	mi.addActionListener(new ActionListener() {
	    public void actionPerformed(ActionEvent evt2) {
		Document doc = getDocument();
		try {
		    doc.beginUpdate();
		    DocumentEvent evt = new DocumentEvent(doc);
		    getParent().removeStyle(getParent().indexOf(LinkElement.this), evt);
		    if (evt.isValid())
			doc.fireDocumentChanged(evt);
		} finally {
		    doc.endUpdate();
		}
	    }
	});
	menu.add(mi);
	super.fillMenu(editor, context, pos, bias, menu);
    }
}
