/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: ResourceImageElement.java,v 1.3 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.tree;

import org.w3c.dom.Element;
import java.net.URL;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

public class ResourceImageElement extends ImageElement {
    /***Constructor*****************************/
    public ResourceImageElement(Element el, SwingDocument doc, boolean _inline) {
	super(el, doc, _inline);
    }
    public void loadImage() {
	try {
	    String p = (String)getAttribute((Object)"image");
	    if (p==null)
		p = "/org/leanedit/resources/multimedia.jpg";
	    URL url = getClass().getResource(p);
	    if (url!=null)
		icon = new ImageIcon(url);
	} catch (Exception e) {
	    JOptionPane.showMessageDialog
		(null, "Fehler beim Laden des Bildes.",
		 "Fehler", JOptionPane.ERROR_MESSAGE);
	    icon = null;
	}
    }
}
