/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: Section.java,v 1.3 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.tree;

import javax.swing.text.BadLocationException;
import make.swing.text.Element;

public class Section extends ElementSwingElement {
    /***properties*******************************/
    /***Constructor*********************************/
    public Section(org.w3c.dom.Element _el, SwingDocument _doc, int _len) {
	super(_el, _doc, _len);
    } 
    public Section(org.w3c.dom.Element _el, SwingDocument _doc) {
	super(_el, _doc, 0);
    } 
    /***SwingElement***********************************/
    public boolean canInsertAt(int pos) throws BadLocationException {
	return super.canInsertAt(pos) &&
	    pos<getEndOffset();
    }
    /***Format****************************************/
    protected Element createEmptyInstance(org.w3c.dom.Element el) { 
	return new Section(el, (SwingDocument)getDocument(), 0);
    }
} 
