/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: TableRowElement.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.tree;

import make.swing.text.Element;

public class TableRowElement extends ElementSwingElement {
    /***Constructor*************************/
    public TableRowElement(org.w3c.dom.Element _e, SwingDocument _doc) {
	super(_e, _doc, 0);
    }
    /***Format****************************************/
    protected Element createEmptyInstance(org.w3c.dom.Element el) { 
	throw new IllegalStateException(); 
    }
    public boolean canRemoveChild(Element child) {
	return false;
    }
    public void setColumnCount(Element row, int count){
	int cols = row.getElementCount();
	if (count>cols){
	    System.err.println("Hier sollte angefuegt werden");
	    for (; cols<count; cols++) {
		Element child = createDefaultChild();
		//Element par = child.createDefaultChild();
		//System.err.println("createDefaultChild:"+child);
		row.insertChild(child,null);
		//child.insertChild(par,null);
	    }
	}
    }
    public void setParent(Element _p, int _start, int _index) {
	super.setParent(_p,_start,_index);
	if (_p!=null) {
	    getDocument().beginUpdate();
	    int nrows = _p.getElementCount();
	    if (nrows>1){
		for (int i=0;i<_p.getElementCount();i++){
		    Element row =  _p.getElementAtIndex(i);
		    //System.err.println("Zeile"+i);
		    setColumnCount(row,(int)Math.max(_p.getElementAtIndex(0).getElementCount(),getElementCount()));
		}
	    }
	    getDocument().endUpdate();
	}
    }
}
