/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: UnknownSwingElement.java,v 1.3 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.tree;

import org.w3c.dom.Node;
import org.w3c.dom.Document;
import javax.swing.text.BadLocationException;
import make.swing.text.Element;
import make.swing.text.DocumentEvent;

public class UnknownSwingElement extends NodeSwingElement {
    /***Constructor*************************/
    public UnknownSwingElement(Node _e, SwingDocument _doc) {
	super(_e, _doc, 0, false);
    }
    /***Info******************************************/
    public boolean ignoreOuterSpaces() { return true; }
    /***Format****************************************/
    protected Element createEmptyInstance() {
	return null;
    }
    /***NodeSwingElement*****************************/
    public Node copyXmlNode(Document doc, int start, int end) 
	throws BadLocationException { 
	return null; //TODO
    }
    public boolean pasteNode(int pos, Node n, DocumentEvent evt) 
	throws BadLocationException {
	return false;
    }
}
