/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: NumberedParagraphView.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.view;

import org.leanedit.plugins.text.tree.NumberedList;
import make.swing.text.view.ViewFactory;
import make.swing.text.Element;
import make.swing.text.view.View;
import make.swing.text.view.ParagraphView;

public class NumberedParagraphView extends ParagraphView {
    /***Constructor****************************/
    public NumberedParagraphView(Element elem, ViewFactory vf) {
	super(elem, vf);
    }
    protected void syncPrefix() {
	if (getParent()!=null) {
	    Element pel = getParent().getElement();
	    final int idx = pel.indexOf(getElement());
	    String pr;
	    if (pel instanceof NumberedList) {
		NumberedList nl = (NumberedList)pel;
		pr = nl.formatIndex(idx);
	    } else
		pr = idx+".";
	    setPrefix(pr);
	}
	super.syncPrefix();
    }
    public void setParent(View parent) {
	super.setParent(parent);
	syncPrefix();
    }
}
