/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: ParagraphView.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.view;

import java.awt.Shape;
import javax.swing.text.BadLocationException;
import make.swing.text.Element;
import make.swing.text.view.ViewFactory;

public class ParagraphView extends make.swing.text.view.ParagraphView {
    /***Constructor******************************/
    public ParagraphView(Element elem, ViewFactory vf) {
	super(elem, vf);
    }
    /***View*********************************/
    public Shape modelToView(int pos, Shape a) throws BadLocationException {
	if (pos==getEndOffset())
	    pos--;
	return super.modelToView(pos, a);
    }
    public Shape modelToView(int p0, int p1, Shape a) 
	throws BadLocationException {
	if (p1==getEndOffset()) {
	    p1--;
	    if (p0==getEndOffset())
		p0--;
	}
	return super.modelToView(p0, p1, a);
    }
}
