/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: SectionView.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.view;

import java.awt.Shape;
import make.util.Interval;
import org.leanedit.plugins.text.tree.NumberedList;
import make.swing.text.DocumentEvent;
import make.swing.text.ContainerChange;
import make.swing.text.view.ViewFactory;
import make.swing.text.view.BoxView;
import make.swing.text.view.VerticalView;
import make.swing.text.Element;

public class SectionView extends BoxView implements VerticalView {
    /***Constructor***********************/
    public SectionView(Element body) { 
	super(body, Y_AXIS);
    }
    /***View************************************************/
    public int getBreakWeight(int axis, int offset, float pos, float len) {
	if (axis==getAxis())
	    return super.getBreakWeight(axis, offset, pos, len);
	else
	    return ForcedBreakWeight;
    }
    /***CompositeView***************************************/
    protected void forwardUpdate(DocumentEvent evt, ContainerChange chg, 
				 Shape a, ViewFactory f) {
	// Alle Zahlen neu malen
	if (getElement() instanceof NumberedList && chg!=null) {
	    Interval c = chg.getChanged();
	    c.include(0);
	    c.include(getPoolViewCount()-1);
	}
	super.forwardUpdate(evt, chg, a, f);
    }
}
